Chapter 19. Db_set_iterator
Prev |  | Next

## Chapter 19. Db_set_iterator

#### Public Members

Member | Description
--- | ---
~db_set_iterator | Destructor.
db_set_iterator | Constructor.
operator++ | Pre-increment.
operator-- | Pre-decrement.
operator * | Dereference operator.
operator-> | Arrow operator.
refresh | Refresh iterator cached value.

#### Group

Iterator Classes for db_set and db_multiset

## ~db_set_iterator

### Function Details

    virtual ~db_set_iterator()

Destructor.

### Group: Constructors and destructor

Do not use these constructors to create iterators, but call db_set::begin() or db_multiset::begin() to create valid ones.

### Class

db_set_iterator

Prev |  | Next
refresh | Home | db_set_iterator